Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055137 - Description of freealut package lacks detail
Summary: Description of freealut package lacks detail
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: freealut
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 05:26 UTC by "FeRD" (Frank Dana)
Modified: 2016-07-19 20:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:04:42 UTC


Attachments (Terms of Use)

Description "FeRD" (Frank Dana) 2014-01-19 05:26:29 UTC
This is admittedly trivial in the grand scheme, but I'm on something of a one-person crusade to see if yum package metadata can be made more directly enlightening/informative.

The current package information for freealut contains the following:

Summary     : Implementation of OpenAL's ALUT standard
Description : freealut is a free implementation of OpenAL's ALUT standard. See
            : the file AUTHORS for the people involved.

[devel] 
Summary     : Development files for freealut
Description : Development headers and libraries needed for freealut development


For the edification of those who aren't familiar with OpenAL and the ALUT (or the analogues in OpenGL), I'd like to propose the following (or similar) expanded details, based in part on the freeglut metadata:

Summary     : Implementation of OpenAL's Audio library Utility Toolkit
Description : freealut is a free implementation of the OpenAL ALUT (Audio
            : Library Utility Toolkit) library with an OSI approved free 
            : software license. See the file AUTHORS for the people involved.
            :
            : The ALUT provides convenience functions useful for rendering
            : multichannel three dimensional positional audio with OpenAL.

[devel]
Summary     : Development files for the free Audio library Utility Toolkit
Description : Development headers and libraries for programs using freealut,
            : an implementation of OpenAL's ALUT (Audio Library Utility
            : Toolkit) for rendering multichannel 3D positional audio.

Comment 1 Jaroslav Reznik 2015-03-03 15:24:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 20:04:42 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.